Get resolved organization configuration
curl --request GET \
--url https://platform.dev.timeback.com/rostering/1.0/orgs/{sourcedId}/config \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.dev.timeback.com/rostering/1.0/orgs/{sourcedId}/config"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.dev.timeback.com/rostering/1.0/orgs/{sourcedId}/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"config": {
"credentialImportMode": "enabled",
"appStoreEnabled": true,
"consentManagementEnabled": true,
"cameraMicDefault": "always_on",
"privacyPolicyUrl": "<string>",
"timeZone": "<string>",
"consentAdminEmail": "jsmith@example.com",
"consentTemplateId": "<string>"
}
}Organizations
Get resolved organization configuration
Returns the resolved configuration for an organization, with values inherited from ancestors when not explicitly set on the org.
GET
/
rostering
/
1.0
/
orgs
/
{sourcedId}
/
config
Get resolved organization configuration
Authorizations
OAuth 2.0 client credentials flow. Contact timeback@trilogy.com to request credentials for your application.
Path Parameters
Unique identifier of the organization
Response
Successful operation
Resolved configuration for the organization. Registered platform keys (with documented types and defaults) are always present. Unregistered partner-defined keys are present when set on the org or inherited from an ancestor.
Show child attributes
Show child attributes
⌘I